Skip to main content
PUT
Update location

Headers

X-BUSINESS-API-KEY
string
required
Example:

"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"

Path Parameters

location
string<uuid>
required

Location ID

Body

application/json
name
string
required
Maximum string length: 255
Example:

"Main Store"

street
string
required
Maximum string length: 255
Example:

"123 Main St"

city
string
required
Maximum string length: 255
Example:

"Singapore"

state
string
required
Maximum string length: 255
Example:

"Singapore"

country
string
required
Maximum string length: 255
Example:

"SG"

postal_code
string
required
Maximum string length: 16
Example:

"123456"

Response

Location updated successfully

id
string<uuid>
required

Location ID

Example:

"9c484458-b2a3-4f49-87ed-ad9ea71b0df3"

business_id
string<uuid>
required

Business that owns this location

Example:

"8a1f2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d"

name
string
required

Name of the location

Example:

"Main Store"

street
string
required

Street address

Example:

"123 Main St"

city
string
required

City

Example:

"Singapore"

state
string
required

State or region

Example:

"Singapore"

country
string
required

Country code or name

Example:

"SG"

postal_code
string
required

Postal code

Example:

"123456"

active
boolean
required

Whether the location is active

Example:

true

pickups
object[]

Pickup configurations linked to this location (empty when not loaded)

created_at
string<date-time>
updated_at
string<date-time>
Last modified on August 6, 2026